﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AutoPekage
{
    public class SettingsDao
    {

        public int Id { get; set; }

        /// <summary>
        /// 默认打包文件名
        /// </summary>
        public string DefaultFileName { get; set; }

        /// <summary>
        /// 最后一次打包路径
        /// </summary>
        public string LastPath { get; set; }

        /// <summary>
        /// 是否勾选发送邮件
        /// </summary>
        public bool SendMail { get; set; }

        /// <summary>
        /// 是否询问自动加载temp目录的文件
        /// </summary>
        public bool AskAutoLoadFile { get; set; }

        /// <summary>
        /// 是否自动加载temp目录文件
        /// 1：加载文件
        /// 0：不加载文件
        /// </summary>
        public int AutoLoadFile { get; set; }

        /// <summary>
        /// 询问是否自动删除temp目录文件
        /// </summary>
        public bool AskAutoDeleteFile { get; set; }

        /// <summary>
        /// 是否自动删除temp目录文件
        /// 1：删除文件
        /// 0：不删除文件
        /// </summary>
        public int AutoDeleteFile { get; set; }

        /// <summary>
        /// 邮件标题模式
        /// 1：自定义标题
        /// 0：使用文件名作为标题
        /// </summary>
        public int TitleModel { get; set; }

        /// <summary>
        /// 邮件标题
        /// </summary>
        public string Title { get; set; }
    }
}
